Home » Databases » Sybase » ASE » How to install a Sybase patch when it says Sybase isn’t installed

How to install a Sybase patch when it says Sybase isn’t installed

When you try to install a Sybase patch for Openclient, ASE, ASIQ or a myriad of other Sybase products, you may receive an error such as:

“ASE 12.5.4 is NOT installed”

This can appear if you delete the $SYBASE/installed and/or the $SYBASE/uninstall directories. (Why would you delete those directories? They are not needed for the operation of any Sybase product, therefore can be deleted for space reasons.)

So how to install the patch? Set INSTALL_ALL_PATCH to “1″ prior to running setup:

export INSTALL_ALL_PATCH=1

Share Button

Comments

  1. wkennedy says:

    If you hit this error and the $sybase environment is still intact its normally down to the vpd.properties file, you can rename it to something else as this sometimes help.

    Don’t delete it though – it’s a jave based repository of all sybase installed options! 🙂

Leave a Reply

Your email address will not be published. Required fields are marked *

*
*

Facebook login by WP-FB-AutoConnect